Bio::Structure::Atom(3)

NAME
Bio::Structure::Atom - Bioperl structure Object, describes an Atom

SYNOPSIS
  #add synopsis here

DESCRIPTION
This object stores a Bio::Structure::Atom

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Kris Boulez
Email kris.boulez@algonomics.com

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new()
 Title   : new()
 Usage   : $struc = Bio::Structure::Atom->new(
                                           -id  => 'human_id',
                                           );

 Function: Returns a new Bio::Structure::Atom object from basic
        constructors. Probably most called from Bio::Structure::IO.
 Returns : a new Bio::Structure::Atom object

  x()
 Title   : x
 Usage   : $x = $atom->x($x);
 Function: Set/gets the X coordinate for an Atom
 Returns : The value for the X coordinate of the Atom (This is just a number,
        it is expected to be in Angstrom, but no garantees)
 Args    : The X coordinate as a number

  y()
 Title   : y
 Usage   : $y = $atom->y($y);
 Function: Set/gets the Y coordinate for an Atom
 Returns : The value for the Y coordinate of the Atom (This is just a number,
        it is eypected to be in Angstrom, but no garantees)
 Args    : The Y coordinate as a number

  z()
 Title   : z
 Usage   : $z = $atom->z($z);
 Function: Set/gets the Z coordinate for an Atom
 Returns : The value for the Z coordinate of the Atom (This is just a number,
        it is ezpected to be in Angstrom, but no garantees)
 Args    : The Z coordinate as a number

  xyz()
 Title   : xyz
 Usage   : ($x,$y,$z) = $atom->xyz;
 Function: Gets the XYZ coordinates for an Atom
 Returns : A list with the value for the XYZ coordinate of the Atom
 Args    :

  residue()
 Title   : residue
 Usage   :
 Function:  No code here, all parent/child stuff via Entry
 Returns :
 Args    :

  icode()
 Title   : icode
 Usage   : $icode = $atom->icode($icode)
 Function: Sets/gets the icode
 Returns : Returns the icode for this atom
 Args    : reference to an Atom

  serial()
 Title   : serial
 Usage   : $serial = $atom->serial($serial)
 Function: Sets/gets the serial number
 Returns : Returns the serial number for this atom
 Args    : reference to an Atom

  occupancy()
 Title   : occupancy
 Usage   : $occupancy = $atom->occupancy($occupancy)
 Function: Sets/gets the occupancy
 Returns : Returns the occupancy for this atom
 Args    : reference to an Atom

  tempfactor()
 Title   : tempfactor
 Usage   : $tempfactor = $atom->tempfactor($tempfactor)
 Function: Sets/gets the tempfactor
 Returns : Returns the tempfactor for this atom
 Args    : reference to an Atom

  segID()
 Title   : segID
 Usage   : $segID = $atom->segID($segID)
 Function: Sets/gets the segID
 Returns : Returns the segID for this atom
 Args    : reference to an Atom

  pdb_atomname()
 Title   : pdb_atomname
 Usage   : $pdb_atomname = $atom->pdb_atomname($pdb_atomname)
 Function: Sets/gets the pdb_atomname (atomname used in the PDB file)
 Returns : Returns the pdb_atomname for this atom
 Args    : reference to an Atom

  element()
 Title   : element
 Usage   : $element = $atom->element($element)
 Function: Sets/gets the element
 Returns : Returns the element for this atom
 Args    : reference to an Atom

  charge()
 Title   : charge
 Usage   : $charge = $atom->charge($charge)
 Function: Sets/gets the charge
 Returns : Returns the charge for this atom
 Args    : reference to an Atom

  sigx()
 Title   : sigx
 Usage   : $sigx = $atom->sigx($sigx)
 Function: Sets/gets the sigx
 Returns : Returns the sigx for this atom
 Args    : reference to an Atom

  sigy()
 Title   : sigy
 Usage   : $sigy = $atom->sigy($sigy)
 Function: Sets/gets the sigy
 Returns : Returns the sigy for this atom
 Args    : reference to an Atom

  sigz()
 Title   : sigz
 Usage   : $sigz = $atom->sigz($sigz)
 Function: Sets/gets the sigz
 Returns : Returns the sigz for this atom
 Args    : reference to an Atom

  sigocc()
 Title   : sigocc
 Usage   : $sigocc = $atom->sigocc($sigocc)
 Function: Sets/gets the sigocc
 Returns : Returns the sigocc for this atom
 Args    : reference to an Atom

  sigtemp()
 Title   : sigtemp
 Usage   : $sigtemp = $atom->sigtemp($sigtemp)
 Function: Sets/gets the sigtemp
 Returns : Returns the sigtemp for this atom
 Args    : reference to an Atom

  aniso()
 Title   : aniso
 Usage   : $u12 = $atom->aniso("u12", $u12)
 Function: Sets/gets the anisotropic temperature factors
 Returns : Returns the requested factor for this atom
 Args    : reference to an Atom, name of the factor, value for the factor

  id()
 Title   : id
 Usage   : $atom->id("CZ2")
 Function: Gets/sets the ID for this atom
 Returns : the ID
 Args    : the ID

  _remove_residue()
 Title   : _remove_residue
 Usage   :
 Function: Removes the Residue this Atom is atttached to.
 Returns :
 Args    :

  _grandparent()
 Title   : _grandparent
 Usage   :
 Function: get/set a symbolic reference to our grandparent
 Returns :
 Args    :